usb_deregister_device_driver
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_deregister_device_driver — unregister a USB device (not interface) driver

## Synopsis

`void usb_deregister_device_driver (` | struct usb_device_driver * | udriver`)`;

## Arguments

`udriver`

  USB operations of the device driver to unregister

## Context

must be able to sleep

## Description

Unlinks the specified driver from the internal USB driver list.

Prev | Up | Next
usb_register_device_driver | Home | usb_register_driver